<?php
/***************************************************
 * @package WordPress
 * @subpackage Aureola_Theme - Theme Options
****************************************************/
define(AUREOLA_VER, '1.0', false);
function aureola_admin_init() {
  if ( is_admin() ){ // admin actions
  // Settings page only
	if ( isset($_GET['page']) && 'aureola-options' == $_GET['page'] ) {
	wp_enqueue_script( 'jquery' );
    wp_enqueue_script( 'jquery-ui-tabs' );
 	wp_enqueue_script( 'aureola-js', get_bloginfo('stylesheet_directory').'/js/aureola.js',
 		false, AUREOLA_VER, false); 
	}
  }
}
add_action( 'admin_init', 'aureola_admin_init' );

function aureola_admin_head() {
?>
<style type="text/css">
/************************************************
*	ui-tabs  									*
************************************************/
.ui-tabs { padding: .2em; zoom: 1; }
.ui-tabs .ui-tabs-nav { list-style: none; position: relative; padding: .2em .2em 0; }
.ui-tabs .ui-tabs-nav li { position: relative; float: left; border-bottom-width: 0 !important; margin: 0 .2em -1px 0; padding: 0;  background-color:#B9B9B9;}
.ui-tabs .ui-tabs-nav li a { float: left; text-decoration: none; padding: .5em 1em; color:#FFFFFF;}
.ui-tabs .ui-tabs-nav li.ui-tabs-selected { border-bottom-width: 0; background-color:#ABD37E;}
.ui-tabs .ui-tabs-nav li.ui-tabs-selected a, .ui-tabs .ui-tabs-nav li.ui-state-disabled a, .ui-tabs .ui-tabs-nav li.ui-state-processing a { cursor: text; color:#FFF;}
.ui-tabs .ui-tabs-nav li a, .ui-tabs.ui-tabs-collapsible .ui-tabs-nav li.ui-tabs-selected a { cursor: pointer; } /* first selector in group seems obsolete, but required to overcome bug in Opera applying cursor: text overall if defined elsewhere... */
.ui-tabs .ui-tabs-panel { padding: 1em 1.4em; display: block; border-width: 0; background: none; }
.ui-tabs .ui-tabs-hide { display: none !important; }

#divFeedityWidget span {
        display:none !important;
}
#divFeedityWidget a{
        color:#06637D !important;
}
#divFeedityWidget a:hover{
		color:#A05649;
}
</style>
<?php
}
if ( is_admin() ){ // admin actions
  // Settings page only
if ( isset($_GET['page']) && 'aureola-options' == $_GET['page'] ) {
add_action('admin_head', 'aureola_admin_head');
}}


// function for adding settings page to wp-admin
function aureola_settings() {
    // Add a new submenu under Appearance:
    add_theme_page('Aureola Theme Options', 'Aureola Theme Options', 9, 'aureola-options', 'aureola_theme_options_page');
}
function register_aureola_settings() { // whitelist options
  register_setting( 'aureola-group', 'aureola_options' );
}
// Hook for adding admin menus
if ( is_admin() ){ // admin actions
  add_action('admin_menu', 'aureola_settings');
  add_action( 'admin_init', 'register_aureola_settings' ); 
} 
//Actual Options
$aureola_options = array(//defining the defaults
						'himg_width'=>'75',
                        'himg_height'=>'75',
						'smooth_slider_tag'=>'0',
						'name1'=>'Initial Category1',
						'categories1'=>'1',
						'posts1'=>'3',
						'words1'=>'80',
						'name2'=>'Initial Category2',
						'categories2'=>'1',
						'posts2'=>'3',
						'words2'=>'80',
						'name3'=>'Initial Category3',
						'categories3'=>'1',
						'posts3'=>'3',
						'words3'=>'150',
						'name4'=>'Initial Category4',
						'categories4'=>'1',
						'posts4'=>'3',
						'words4'=>'80',
						'name5'=>'Initial Category5',
						'categories5'=>'1',
						'posts5'=>'3',
						'words5'=>'80',
						'name6'=>'Initial Category6',
						'categories6'=>'1',
						'posts6'=>'4',
						'words6'=>'150',
						'head_banner' => '', 
						'logo' => 'text',
						'show_nav'=>'pages',
						'exclude_from_nav'=>'',
						'first_img'=>'0',
						'timg_width'=>'100',
						'timg_height'=>'100',
						'sb_banner'=>'',
						'lsb_banner'=>'',
						'feedburner'=>'',
						'twitter'=>''
						);
add_option('aureola_options',$aureola_options);
global $aureola_opts;
$aureola_opts = get_option('aureola_options');
//theme options page
function aureola_theme_options_page() {
?>
<div class="wrap">
<h2><?php _e('Aureola Theme Options','aureola');?></h2>

<form method="post" action="options.php">
<?php settings_fields('aureola-group'); 
    global $aureola_opts;?>

    <div id="options_tabs">
        <ul class="ui-tabs">
            <li><a href="#tabs-1"><?php _e('Home Page','aureola');?></a></li>
            <li><a href="#tabs-2"><?php _e('Miscellaneous','aureola');?></a></li>
            <li><a href="#tabs-3"><?php _e('Banners','aureola');?></a></li>
            <li><a href="#tabs-4"><?php _e('Sharing','aureola');?></a></li>
            <li><a href="#tabs-5"><?php _e('Theme Info','aureola');?></a></li>
            <li><a href="#tabs-6"><?php _e('Support and Donations','aureola');?></a></li>
        </ul>
        
        <div id="tabs-1">     
                <table class="form-table">

                <tr valign="top"> 
                <th scope="row"><?php _e('Thumbnail Image Size on Home Page','aureola');?></th> 
                <td><fieldset>
                <label for="aureola_options[himg_width]"><?php _e('Width','aureola');?></label>
                <input type="text" name="aureola_options[himg_width]" class="small-text" value="<?php echo $aureola_opts['himg_width']; ?>" />&nbsp;px &nbsp;&nbsp; 
                <label for="aureola_options[himg_height]"><?php _e('Height','aureola');?></label>
                <input type="text" name="aureola_options[himg_height]" class="small-text" value="<?php echo $aureola_opts['himg_height']; ?>" />&nbsp;px &nbsp;&nbsp; 
                </fieldset></td> 
                </tr> 
                
                <tr valign="top">
                    <th scope="row"><label for="aureola_options[smooth_slider_tag]"><?php _e('Enable Smooth Slider Automatic tag insertion','aureola');?></label></th> 
                    <td><select name="aureola_options[smooth_slider_tag]">
                        <option value="0" <?php if ($aureola_opts['smooth_slider_tag'] == "0"){ echo "selected";}?> ><?php _e('No','aureola');?></option>
                        <option value="1" <?php if ($aureola_opts['smooth_slider_tag'] == "1"){ echo "selected";}?> ><?php _e('Yes','aureola');?></option>
                    </select> (<a href="http://wordpress.org/extend/plugins/smooth-slider/"><?php _e('Smooth Slider','aureola');?></a> <?php _e('is a free Wordpress Plugin, install it in case you wish to show featured content slider, with SEO benefits)','aureola');?></td>
                </tr>
                
              <?php for($i=1;$i<7;$i++) { ?>
                <tr valign="top">
                <th scope="row"><?php _e('Magazine Box','aureola');?> #<?php echo $i; ?></th> 
                <td><fieldset>
                <label for="aureola_options[name<?php echo $i; ?>]"><?php _e('Display Name','aureola');?></label>
                <input type="text" name="aureola_options[name<?php echo $i; ?>]" value="<?php echo $aureola_opts['name'.$i.'']; ?>" /><br /> 
                <label for="aureola_options[categories<?php echo $i; ?>]"><?php _e('Category IDs','aureola');?></label>
                <input type="text" name="aureola_options[categories<?php echo $i; ?>]" value="<?php echo $aureola_opts['categories'.$i.'']; ?>" /><?php _e('(can enter multiple IDs by separating them with comma)','aureola');?> <br />
                 <label for="aureola_options[posts<?php echo $i; ?>]"><?php _e('No. of posts to display','aureola');?></label>
                <input type="text" name="aureola_options[posts<?php echo $i; ?>]" class="small-text" value="<?php echo $aureola_opts['posts'.$i.'']; ?>" /><br />
                <label for="aureola_options[words<?php echo $i; ?>]"><?php _e('No. of content words to be displayed','aureola');?></label>
                <input type="text" name="aureola_options[words<?php echo $i; ?>]" class="small-text" value="<?php echo $aureola_opts['words'.$i.'']; ?>" />
                </fieldset></td> 
                </tr>
              <?php } ?>
                
                </table>
                
                
                <img style="float:right;" src="<?php echo get_bloginfo('stylesheet_directory').'/images/home_layout.gif'; ?>" />       

        </div>
        
        <div id="tabs-2">
                <table class="form-table">
                          
                <tr valign="top">
                    <th scope="row"><label for="aureola_options[logo]"><?php _e('Header Logo','aureola');?></label></th> 
                    <td><select name="aureola_options[logo]">
                        <option value="text" <?php if ($aureola_opts['logo'] == "text"){ echo "selected";}?> ><?php _e('Blog Name','aureola');?></option>
                        <option value="image" <?php if ($aureola_opts['logo'] == "image"){ echo "selected";}?> ><?php _e('Logo Image','aureola');?></option>
                    </select> <?php _e('(FTP the logo.png file to wp-content->themes->aureola->images folder)','aureola');?></td>
                </tr>
                
                <tr valign="top">
                    <th scope="row"><label for="aureola_options[show_nav]"><?php _e('Main Navigation','aureola');?></label></th> 
                    <td><select name="aureola_options[show_nav]">
                        <option value="pages" <?php if ($aureola_opts['show_nav'] == "pages"){ echo "selected";}?> ><?php _e('Show Pages','aureola');?></option>
                        <option value="links" <?php if ($aureola_opts['show_nav'] == "links"){ echo "selected";}?> ><?php _e('Show Links','aureola');?></option>
                    </select> <?php _e('Select what to show in navigation link at the top','aureola');?></td>
                </tr>
                
                <tr valign="top">
                    <th scope="row"><label for="aureola_options[exclude_from_nav]"><?php _e('Exclude these Entries from Navigation','aureola');?></label></th> 
                    <td><input type="text" name="aureola_options[exclude_from_nav]" value="<?php echo $aureola_opts['exclude_from_nav']; ?>" /><?php _e('(can enter multiple IDs to exclude by separating them with comma)','aureola');?></td>
                </tr>
                
                <tr valign="top">
                    <th scope="row"><label for="aureola_options[first_img]"><?php _e('Use First Image of Post if thumbnail not specified','aureola');?></label></th> 
                    <td><select name="aureola_options[first_img]">
                        <option value="0" <?php if ($aureola_opts['first_img'] == "0"){ echo "selected";}?> ><?php _e('No','aureola');?></option>
                        <option value="1" <?php if ($aureola_opts['first_img'] == "1"){ echo "selected";}?> ><?php _e('Yes','aureola');?></option>
                    </select></td>
                </tr>
                
                <tr valign="top"> 
                <th scope="row"><?php _e('Thumbnail Image Size for other pages','aureola');?></th> 
                <td><fieldset>
                <label for="aureola_options[timg_width]"><?php _e('Width','aureola');?></label>
                <input type="text" name="aureola_options[timg_width]" class="small-text" value="<?php echo $aureola_opts['timg_width']; ?>" />&nbsp;px &nbsp;&nbsp; 
                <label for="aureola_options[timg_height]"><?php _e('Height','aureola');?></label>
                <input type="text" name="aureola_options[timg_height]" class="small-text" value="<?php echo $aureola_opts['timg_height']; ?>" />&nbsp;px &nbsp;&nbsp; 
                </fieldset></td> 
                </tr> 
                
                </table>
        </div>
        <div id="tabs-3">
                <table class="form-table">
                
                <tr valign="top">
                    <th scope="row"><label for="aureola_options[head_banner]"><?php _e('468x60 Banner Code in Header','aureola');?></label></th> 
                    <td><textarea name="aureola_options[head_banner]" rows="4" cols="70"><?php echo htmlentities($aureola_opts['head_banner'], ENT_QUOTES); ?></textarea></td>
                </tr>
                
                <tr valign="top">
                    <th scope="row"><label for="aureola_options[sb_banner]"><?php _e('300x250 Banner Code in Sidebar','aureola');?></label></th> 
                    <td><textarea name="aureola_options[sb_banner]" rows="4" cols="70"><?php echo htmlentities($aureola_opts['sb_banner'], ENT_QUOTES); ?></textarea></td>
                </tr>
                
                <tr valign="top">
                    <th scope="row"><label for="aureola_options[lsb_banner]"><?php _e('120x600 Banner Code in Left Small Sidebar','aureola');?></label></th> 
                    <td><textarea name="aureola_options[lsb_banner]" rows="4" cols="70"><?php echo htmlentities($aureola_opts['lsb_banner'], ENT_QUOTES); ?></textarea></td>
                </tr>
                
                </table>
                
                
        </div>
        
        <div id="tabs-4">
        <table class="form-table">
                
                <tr valign="top"> 
                    <th scope="row"><label for="aureola_options[feedburner]"><?php _e('Feedburner Feed ID/Address','aureola');?></label></th> 
                    <td><input type="text" name="aureola_options[feedburner]" value="<?php echo htmlentities($aureola_opts['feedburner'], ENT_QUOTES); ?>" class="regular-text code" /> <?php _e('(Put only your ID, not the complete URL, for example','aureola');?> <em><strong><?php _e('exampleNxtc','aureola');?></strong></em>, <?php _e('also "Email subscriptions" under "Publicize" tab should be activated on Feedburner)','aureola');?></td> 
                </tr>
                
                <tr valign="top"> 
                    <th scope="row"><label for="aureola_options[twitter]"><?php _e('Twitter ID','aureola');?></label></th> 
                    <td><input type="text" name="aureola_options[twitter]" value="<?php echo $aureola_opts['twitter']; ?>" class="regular-text" /> </td> 
                </tr>
                
                </table>
        
        </div>
        
        <div id="tabs-5">
        <br />
        <h3><?php _e('About this Theme','aureola');?></h3>
        <ul>
                <li><a href="http://www.clickonf5.org/aureola" title="<?php _e('Aureola Theme Homepage','aureola');?>" ><?php _e('Aureola Theme Homepage','aureola');?></a></li>
                <li><a href="http://www.clickonf5.org/" title="<?php _e('Visit Internet Techies','aureola');?>" ><?php _e('Theme Parent Site','aureola');?></a></li>
                <li><a href="http://www.clickonf5.org/phpbb/aureola-theme-f22/" title="<?php _e('Support Forum for Aureola Theme','aureola');?>" ><?php _e('Support Forum','aureola');?></a></li>
                <li><a href="http://www.clickonf5.org/about/tejaswini" title="<?php _e('Aureola Theme Author Page','aureola');?>" ><?php _e('About the Author','aureola');?></a></li>
                <li><a href="http://www.clickonf5.org/go/donate-aureola/" title="<?php _e('Donate if you liked the theme and support in enhancing this theme and creating new free themes','aureola');?>" ><?php _e('Donate with Paypal','aureola');?></a></li>
        </ul> 
        
        <h3><?php _e('Credits','aureola');?></h3>
        <ul>
                <li><a href="http://code.google.com/p/timthumb/" title="<?php _e('TimThumb script by Tim McDaniels and Darren Hoyt with tweaks by Ben Gillbanks','aureola');?>" ><?php _e('TimThumb script by Tim McDaniels and Darren Hoyt with tweaks by Ben Gillbanks','aureola');?></a></li>
                <li><a href="http://www.twinhelix.com" title="<?php _e('IE PNG Alpha Fix v2.0 Alpha 4','aureola');?>" ><?php _e('IE PNG Alpha Fix v2.0 Alpha 4- by Angus Turnbull','aureola');?></a></li>
                <li><a href="http://codex.wordpress.org/Main_Page" title="<?php _e('Wordpress Help','aureola');?>" ><?php _e('Wordpress Codex','aureola');?></a></li>
        </ul> 
        </div>
        
        <div id="tabs-6">
        <br />
        <h3><?php _e('Received Kind Donations From','aureola');?></h3>
        
                   <script language="JavaScript" type="text/javascript">
                    <!--
                        // Customize the widget by editing the fields below
                        // All fields are required
                    
                        // Your Feedity RSS feed URL
                        feedity_widget_feed = "http://feedity.com/rss.aspx/clickonf5-org/UlVaWlVV";
                    
                        // Number of items to display in the widget
                        feedity_widget_numberofitems = "5";
                    
                        // Show feed item published date (values: yes or no)
                        feedity_widget_showdate = "no";
                    
                        // Widget box width (in px, pt, em, or %)
                        feedity_widget_width = "400px";
                    
                        // Widget background color in hex or by name (eg: #ffffff or white)
                        feedity_widget_backcolor = "transparent";
                    
                        // Widget font/link color in hex or by name (eg: #000000 or black)
                        feedity_widget_fontcolor = "#000000";
                    //-->
                    </script>
                    <script language="JavaScript" type="text/javascript" src="http://feedity.com/js/widget.js"></script>
        
        </div>
        
    </div> <!--options tabs end-->
    <p class="submit">
    <input type="submit" class="button-primary" value="<?php _e('Save Changes','aureola') ?>" />
    </p>
    
    </form>
    
        <h2><?php _e('Support Aureola Theme by Donating','aureola');?></h2>
        <form  style="float:left;" action="https://www.paypal.com/cgi-bin/webscr" method="post">
        <input type="hidden" name="cmd" value="_s-xclick">
        <input type="hidden" name="hosted_button_id" value="8046056">
        <input type="image" src="https://www.paypal.com/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
        <img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1">
        </form>
        <div style="clear:both;"></div>


</div>
<?php
}

?>