<?php 
	function aureola_arch_css_js() {
		global $wp_query;
			wp_enqueue_script( 'jquery' );
					add_action( 'wp_head', 'aureola_arch_op_css_js'); 
	}

	// Output a little helper CSS and the Javascript for the plugin
	// Based on code from http://www.learningjquery.com/2007/03/accordion-madness
	function aureola_arch_op_css_js() {
		?>
	<style type="text/css">.aureola-arch-collapse .aureola-arch-yearmonth { cursor: s-resize; } </style>
	<script type="text/javascript">
		/* <![CDATA[ */
			jQuery(document).ready(function() {
				jQuery('.aureola-arch-collapse').find('.aureola-arch-monthlisting').hide();
				jQuery('.aureola-arch-collapse').find('.aureola-arch-monthlisting:first').show();
				jQuery('.aureola-arch-collapse').find('.aureola-arch-yearmonth').click(function() {
					jQuery(this).next('ul').slideToggle('fast');
				});
				jQuery('.aureola-arch-collapse').find('.aureola-arch-toggler').click(function() {
					if ( '<?php echo js_escape( __('Expand All', 'aureola') ); ?>' == jQuery(this).text() ) {
						jQuery(this).parent('.aureola-arch-container').find('.aureola-arch-monthlisting').show();
						jQuery(this).text('<?php echo js_escape( __('Collapse All', 'aureola') ); ?>');
					}
					else {
						jQuery(this).parent('.aureola-arch-container').find('.aureola-arch-monthlisting').hide();
						jQuery(this).text('<?php echo js_escape( __('Expand All', 'aureola') ); ?>');
					}
					return false;
				});
			});
		/* ]]> */
	</script>

<?php
	}

	// Grab all posts and filter them into an array
	function aureola_arch_GetPosts() {
		// If we have a cached copy of the filtered posts array, use that instead
		if ( $posts = wp_cache_get( 'ar-posts' ) )
			return $posts;

		// Get a simple array of all posts
		$rawposts = get_posts( 'numberposts=-1' );

		// Trim memory some
		foreach ( $rawposts as $key => $rawpost )
			$rawposts[$key]->post_content = null;

		// Loop through each post and sort it into a structured array
		foreach( $rawposts as $key => $post ) {
			$posts[ mysql2date( 'Y.m', $post->post_date ) ][] = $post;

			$rawposts[$key] = null; // Try and free up memory for users with lots of posts and poor server configs
		}
		$rawposts = null; // More memory cleanup

		// Store the results into the WordPress cache
		wp_cache_set( 'ar-posts', $posts );

		return $posts;
	}


	// Generates the HTML output based on $atts array from the shortcode
	function aureola_arch_PostList() {
		global $wp_locale;

		// Get the big array of all posts
		$posts = aureola_arch_GetPosts();

		// Sort the months based on $atts
		krsort( $posts );

		// Sort the posts within each month based on $atts
		foreach( $posts as $key => $month ) {
			$sorter = array();
			foreach ( $month as $post )
				$sorter[] = $post->post_date_gmt;

			SORT_DESC;

			array_multisort( $sorter, $sortorder, $month );

			$posts[$key] = $month;
			unset($month);
		}


		// Generate the HTML
		$html = '<div class="aureola-arch-container';
		$html .= ' aureola-arch-collapse';
		$html .= '">'. "\n";

		$html .= '<a href="#" class="aureola-arch-toggler">' . __('Expand All', 'aureola') . "</a>\n\n";

		$html .= '<ul class="aureola-arch-list">' . "\n";

		$firstmonth = TRUE;
		foreach( $posts as $yearmonth => $posts ) {
			list( $year, $month ) = explode( '.', $yearmonth );

			$firstpost = TRUE;
			foreach( $posts as $post ) {
				if ( TRUE == $firstpost ) {
					$html .= '	<li><span class="aureola-arch-yearmonth">' . sprintf( __('%1$s %2$d'), $wp_locale->get_month($month), $year );
					$html .= ' <span title="' . __('Post Count', 'aureola') . '">(' . count($posts) . ')</span>';
					$html .= "</span>\n		<ul class='aureola-arch-monthlisting'>\n";
					$firstpost = FALSE;
				}

				$html .= '			<li>' .  mysql2date( 'd', $post->post_date ) . ': <a href="' . get_permalink( $post->ID ) . '">' . get_the_title( $post->ID ) . '</a>';

				// Unless comments are closed and there are no comments, show the comment count
				if (( 0 != $post->comment_count || 'closed' != $post->comment_status ) && empty($post->post_password) )
					$html .= ' <span title="' . __('Comment Count', 'aureola') . '">(' . $post->comment_count . ')</span>';

				$html .= "</li>\n";
			}

			$html .= "		</ul>\n	</li>\n";
		}

		$html .= "</ul>\n</div>\n";

		return $html;
	}


	// Returns the total number of posts
	function aureola_arch_PostCount() {
		$num_posts = wp_count_posts( 'post' );
		return number_format_i18n( $num_posts->publish );
	}

	// Deletes the cached filtered posts array for users using a persistent caching plugin
	function DeleteCache() {
		wp_cache_delete( 'ar-posts' );
	}

add_action( 'edit_post', 'DeleteCache' );


?>